Page MenuHomePhabricator

Engineering Book Event March 25
Closed, ResolvedPublic

Description

Lewis Dartnell, author of The Knowledge: How to rebuild our work from scratch will be speaking in the evening at WMF HQ.
Will look into reserving the new 5th floor space for this event.

Event Timeline

Rfarrand created this task.Feb 13 2015, 8:32 PM
Rfarrand claimed this task.
Rfarrand raised the priority of this task from to Normal.
Rfarrand updated the task description. (Show Details)
Rfarrand added subscribers: Rfarrand, Eloquence, Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 13 2015, 8:32 PM

Hotel booked for speaker, working on finalizing the registration form, working with IT to get a designated day-of contact. Book order in process. Have confirmed Admin support for this event.

Books have arrived in the office, event has been publicized on social media. 21 tickets still available.

ToDo: Food/drinks order. Close meetup.com registration.

Rfarrand moved this task from Backlog to Doing on the ECT-March-2015 board.Mar 10 2015, 5:04 PM

Event sold out. 5th floor on track for event.
Need to order food/drinks, otherwise we are all set. :)

Qgil added a comment.Mar 12 2015, 7:28 PM

Sold out!

Qgil awarded a token.Mar 12 2015, 7:28 PM
Rfarrand closed this task as Resolved.Mar 26 2015, 11:37 AM